Table of Contents

Class: Speaker | speaker.py
--- | ---

### Provides speech servre abstraction.

#### Class Variables:

location
  specifies directory where Emacspeak speech servers are installed.
config
  dictionary of default settings.

#### Speaker objects can be initialized with the following parameters:

engine
  TTS server to instantiate. Default: outloud host -- Host that runs server. Default: localhost settings -- Dictionary of default settings.

Methods |
--- | ---

__del__ __init__ allcaps capitalize configure decreaseRate increaseRate letter listEngines | punctuations queueSilence queueText queueTone rate reset say sayUtterances settings | shutdown speak splitcaps stop version

| __del__

    __del__ ( self )

Shutdown speech engine.

| __init__

    __init__ (
            self,
            engine='outloud',
            host='localhost',
            initial=config,
            )

Launches speech engine.

| allcaps

    allcaps ( self,  flag )

Set allcaps mode. 1 turns on, 0 turns off

| capitalize

    capitalize ( self,  flag )

Set capitalization mode. 1 turns on, 0 turns off

| configure

    configure ( self,  settings )

Configure engine with settings.

| decreaseRate

    decreaseRate ( self,  step=10 )

Set speech rate.

| increaseRate

    increaseRate ( self,  step=10 )

Set speech rate.

| letter

    letter ( self,  l )

Speak single character.

| listEngines

    listEngines ()

Enumerate available engines.

| punctuations

    punctuations ( self,  mode )

Set punctuation mode.

| queueSilence

    queueSilence ( self,  duration=50 )

Queue specified silence.

| queueText

    queueText (
            self,
            text="",
            acss=None,
            )

Queue text to be spoken. Output is produced by next call to say() or speak().

| queueTone

    queueTone (
            self,
            pitch=440,
            duration=50,
            )

Queue specified tone.

| rate

    rate ( self,  r )

Set speech rate.

| reset

    reset ( self )

Reset TTS engine.

| say

    say (
            self,
            text="",
            acss=None,
            )

Speaks specified text. All queued text is spoken immediately.

| sayUtterances

    sayUtterances (
            self,
            list,
            acss=None,
            )

Speak list of utterances.

| settings

    settings ( self )

| shutdown

    shutdown ( self )

Shutdown speech engine.

| speak

    speak (
            self,
            text,
            acss=None,
            )

| splitcaps

    splitcaps ( self,  flag )

Set splitcaps mode. 1 turns on, 0 turns off

| stop

    stop ( self )

Silence ongoing speech.

| version

    version ( self )

Speak TTS version info.

Table of Contents

This document was automatically generated on Mon May 7 16:30:05 2007 by HappyDoc version 2.1